package net.bo;

import net.ko.kobject.KObject;
import net.ko.persistence.annotation.Entity;
import net.ko.persistence.annotation.Table;
import net.ko.kobject.KListObject;


/**
* Classe KEntreprise
*/
@SuppressWarnings("serial")
@Entity
@Table(name="entreprise")
public class KEntreprise extends KObject {
	private String adresse;
	private int idVille;
	private String mail;
	private String rs;
	private String tel;
	private KListObject<KEvaluation> evaluations;
	private KVille ville;

	public KEntreprise() {
		super();
		belongsTo(KVille.class);
		//hasMany(KEvaluation.class);
	}
	/**
	 * return the value of adresse
	 * @return adresse
	 */
	public String getAdresse(){
		return this.adresse;
	}
	/**
	 * return the value of idVille
	 * @return idVille
	 */
	public int getIdVille(){
		return this.idVille;
	}
	/**
	 * return the value of mail
	 * @return mail
	 */
	public String getMail(){
		return this.mail;
	}
	/**
	 * return the value of rs
	 * @return rs
	 */
	public String getRs(){
		return this.rs;
	}
	/**
	 * return the value of tel
	 * @return tel
	 */
	public String getTel(){
		return this.tel;
	}
	/**
	 * return the value of evaluations
	 * @return evaluations
	 */
	public KListObject<KEvaluation> getEvaluations(){
		return this.evaluations;
	}
	/**
	 * return the value of ville
	 * @return ville
	 */
	public KVille getVille(){
		return this.ville;
	}

	/**
	 * set the value of adresse
	 * @param aAdresse
	 */
	public void setAdresse(String aAdresse){
		this.adresse=aAdresse;
	}
	/**
	 * set the value of idVille
	 * @param aIdVille
	 */
	public void setIdVille(int aIdVille){
		this.idVille=aIdVille;
	}
	/**
	 * set the value of mail
	 * @param aMail
	 */
	public void setMail(String aMail){
		this.mail=aMail;
	}
	/**
	 * set the value of rs
	 * @param aRs
	 */
	public void setRs(String aRs){
		this.rs=aRs;
	}
	/**
	 * set the value of tel
	 * @param aTel
	 */
	public void setTel(String aTel){
		this.tel=aTel;
	}
	/**
	 * set the value of evaluations
	 * @param aEvaluations
	 */
	public void setEvaluations(KListObject<KEvaluation> aEvaluations){
		this.evaluations=aEvaluations;
	}
	/**
	 * set the value of ville
	 * @param aVille
	 */
	public void setVille(KVille aVille){
		this.ville=aVille;
	}
	@Override
	public String toString() {
		String result=rs;
		if(ville!=null)
			rs+=" ("+ville.getVille()+")";
		return result;
	}
}